Skip to main content
GET
/
v1
/
wallets
/
{walletId}
/
withdraw
/
fiat
/
currencies
Get Currencies
curl --request GET \
  --url https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/currencies \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "code": "KES",
      "decimals": 2,
      "marketRate": "128.615",
      "name": "Kenyan Shilling",
      "shortName": "KES",
      "symbol": "KSh"
    },
    {
      "code": "NGN",
      "decimals": 2,
      "marketRate": "1477.21",
      "name": "Nigerian Naira",
      "shortName": "Naira",
      "symbol": "₦"
    },
    {
      "code": "TZS",
      "decimals": 2,
      "marketRate": "2581.77",
      "name": "Tanzanian Shilling",
      "shortName": "TZS",
      "symbol": "TSh"
    },
    {
      "code": "UGX",
      "decimals": 2,
      "marketRate": "3536.3",
      "name": "Ugandan Shilling",
      "shortName": "UGX",
      "symbol": "USh"
    },
    {
      "code": "BRL",
      "decimals": 2,
      "marketRate": "5.36",
      "name": "Brazilian Real",
      "shortName": "Real",
      "symbol": "R$"
    },
    {
      "code": "MWK",
      "decimals": 2,
      "marketRate": "1734.83",
      "name": "Malawian Kwacha",
      "shortName": "Kwacha",
      "symbol": "MK"
    }
  ],
  "message": "Currencies fetched successfully",
  "status": true
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

Response

200 - application/json

200

data
object[]
Example:
[
{
"code": "KES",
"decimals": 2,
"marketRate": "128.615",
"name": "Kenyan Shilling",
"shortName": "KES",
"symbol": "KSh"
},
{
"code": "NGN",
"decimals": 2,
"marketRate": "1477.21",
"name": "Nigerian Naira",
"shortName": "Naira",
"symbol": "₦"
},
{
"code": "TZS",
"decimals": 2,
"marketRate": "2581.77",
"name": "Tanzanian Shilling",
"shortName": "TZS",
"symbol": "TSh"
},
{
"code": "UGX",
"decimals": 2,
"marketRate": "3536.3",
"name": "Ugandan Shilling",
"shortName": "UGX",
"symbol": "USh"
},
{
"code": "BRL",
"decimals": 2,
"marketRate": "5.36",
"name": "Brazilian Real",
"shortName": "Real",
"symbol": "R$"
},
{
"code": "MWK",
"decimals": 2,
"marketRate": "1734.83",
"name": "Malawian Kwacha",
"shortName": "Kwacha",
"symbol": "MK"
}
]
message
string
Example:

"Currencies fetched successfully"

status
boolean
Example:

true